Lorene::Star Class Referenceabstract
Stars and black holes

Base class for stars. More...

`#include <star.h>`

Inheritance diagram for Lorene::Star:

## Public Member Functions

| Star (Map &mp_i, int nzet_i, const Eos &eos_i)
| Standard constructor.
| Star (const Star &)
| Copy constructor.
| Star (Map &mp_i, const Eos &eos_i, FILE *fich)
| Constructor from a file (see `sauve(FILE* )`).
virtual | ~Star ()
| Destructor.
void | operator= (const Star &)
| Assignment to another `Star`.
Map & | set_mp ()
| Read/write of the mapping.
void | set_enthalpy (const Scalar &)
| Assignment of the enthalpy field.
void | equation_of_state ()
| Computes the proper baryon and energy density, as well as pressure from the enthalpy.
virtual void | hydro_euler ()
| Computes the hydrodynamical quantities relative to the Eulerian observer from those in the fluid frame (`nbar`, `ener` and `press`).
virtual void | equilibrium_spher (double ent_c, double precis=1.e-14, const Tbl *pent_limit=0x0)
| Computes a spherical static configuration.
const Map & | get_mp () const
| Returns the mapping.
int | get_nzet () const
| Returns the number of domains occupied by the star.
const Eos & | get_eos () const
| Returns the equation of state.
const Scalar & | get_ent () const
| Returns the enthalpy field.
const Scalar & | get_nbar () const
| Returns the proper baryon density.
const Scalar & | get_ener () const
| Returns the proper total energy density.
const Scalar & | get_press () const
| Returns the fluid pressure.
const Scalar & | get_ener_euler () const
| Returns the total energy density with respect to the Eulerian observer.
const Scalar & | get_s_euler () const
| Returns the trace of the stress tensor in the Eulerian frame.
const Scalar & | get_gam_euler () const
| Returns the Lorentz factor between the fluid and Eulerian observers.
const Vector & | get_u_euler () const
| Returns the fluid 3-velocity with respect to the Eulerian observer.
const Tensor & | get_stress_euler () const
| Returns the spatial part of the stress-energy tensor with respect to the Eulerian observer.
const Scalar & | get_logn () const
| Returns the logarithm of the lapse N.
const Scalar & | get_nn () const
| Returns the lapse function N.
const Vector & | get_beta () const
| Returns the shift vector .
const Scalar & | get_lnq () const
const Metric & | get_gamma () const
| Returns the 3-metric .
virtual void | sauve (FILE *) const
| Save in a file.
double | ray_eq () const
| Coordinate radius at , [r_unit].
double | ray_eq_pis2 () const
| Coordinate radius at , [r_unit].
double | ray_eq_pi () const
| Coordinate radius at , [r_unit].
double | ray_eq_3pis2 () const
| Coordinate radius at , [r_unit].
double | ray_pole () const
| Coordinate radius at [r_unit].
virtual const Itbl & | l_surf () const
| Description of the stellar surface: returns a 2-D `Itbl` containing the values of the domain index l on the surface at the collocation points in .
const Tbl & | xi_surf () const
| Description of the stellar surface: returns a 2-D `Tbl` containing the values of the radial coordinate on the surface at the collocation points in .
virtual double | mass_b () const =0
| Baryon mass.
virtual double | mass_g () const =0
| Gravitational mass.

## Protected Member Functions

virtual void | del_deriv () const
| Deletes all the derived quantities.
virtual void | set_der_0x0 () const
| Sets to `0x0` all the pointers on derived quantities.
virtual void | del_hydro_euler ()
| Sets to `ETATNONDEF` (undefined state) the hydrodynamical quantities relative to the Eulerian observer.
virtual ostream & | operator>> (ostream &) const
| Operator >> (virtual function called by the operator <<).

## Protected Attributes

Map & | mp
| Mapping associated with the star.
int | nzet
| Number of domains of `*mp` occupied by the star.
const Eos & | eos
| Equation of state of the stellar matter.
Scalar | ent
| Log-enthalpy.
Scalar | nbar
| Baryon density in the fluid frame.
Scalar | ener
| Total energy density in the fluid frame.
Scalar | press
| Fluid pressure.
Scalar | ener_euler
| Total energy density in the Eulerian frame.
Scalar | s_euler
| Trace of the stress scalar in the Eulerian frame.
Scalar | gam_euler
| Lorentz factor between the fluid and Eulerian observers.
Vector | u_euler
| Fluid 3-velocity with respect to the Eulerian observer.
Sym_tensor | stress_euler
| Spatial part of the stress-energy tensor with respect to the Eulerian observer.
Scalar | logn
| Logarithm of the lapse N .
Scalar | nn
| Lapse function N .
Vector | beta
| Shift vector.
Scalar | lnq
Metric | gamma
| 3-metric
double * | p_ray_eq
| Coordinate radius at , .
double * | p_ray_eq_pis2
| Coordinate radius at , .
double * | p_ray_eq_pi
| Coordinate radius at , .
double * | p_ray_eq_3pis2
| Coordinate radius at , .
double * | p_ray_pole
| Coordinate radius at .
Itbl * | p_l_surf
| Description of the stellar surface: 2-D `Itbl` containing the values of the domain index l on the surface at the collocation points in .
Tbl * | p_xi_surf
| Description of the stellar surface: 2-D `Tbl` containing the values of the radial coordinate on the surface at the collocation points in .
double * | p_mass_b
| Baryon mass.
double * | p_mass_g
| Gravitational mass.

## Friends

ostream & | operator<< (ostream &ost, const Star &et)
| Display.

## Detailed Description

Base class for stars.

()

A `Star` is constructed upon (i) a mapping (derived class of `Map`), the center of which defines the center of the star, and (ii) an equation of state (derived class of `Eos`).
It contains tensor fields (class `Tensor`) which describe the hydrodynamical quantities as well as the gravitational field (spacetime metric).

According to the 3+1 formalism, the spacetime metric is written

where is the 3-metric, described by a Lorene object of class `Metric`.

The 3+1 formalism introduces two kinds of privileged observers: the fluid comoving observer and the Eulerian observer, whose 4-velocity is the unit future directed normal to the t = const hypersurfaces. The hydrodynamical quantities measured by the fluid observer correspond to the members `ent`, `nbar`, `ener`, and `press`. The hydrodynamical quantities measured by the Eulerian observer correspond to the members `ener_euler`, `s_euler`, `gam_euler`, and `u_euler`.

Version

Id
  star.h,v 1.32 2014/10/13 08:52:36 j_novak Exp

Definition at line 175 of file star.h.

## Constructor & Destructor Documentation

## Star() [1/3]

Lorene::Star::Star | ( | Map & | mp_i,
|  | int | nzet_i,
|  | const Eos & | eos_i )

Standard constructor.

Parameters

  mp_i | Mapping on which the star will be defined
  nzet_i | Number of domains occupied by the star
  eos_i | Equation of state of the stellar matter

Definition at line 124 of file star.C.

References beta, Lorene::Metric::cov(), ener, ener_euler, ent, eos, Lorene::flat_met_spher(), gam_euler, gamma, Lorene::get_bvect_spher(), logn, Lorene::Map(), mp, nbar, nn, nzet, press, s_euler, set_der_0x0(), stress_euler, and u_euler.

## Star() [2/3]

Lorene::Star::Star | ( | const Star & | et | ) |

Copy constructor.

Definition at line 198 of file star.C.

References beta, ener, ener_euler, ent, eos, gam_euler, gamma, logn, mp, nbar, nn, nzet, press, s_euler, set_der_0x0(), Star(), stress_euler, and u_euler.

## Star() [3/3]

Lorene::Star::Star | ( | Map & | mp_i,
|  | const Eos & | eos_i,
|  | FILE * | fich )

Constructor from a file (see `sauve(FILE* )`).

Parameters

  mp_i | Mapping on which the star will be defined
  eos_i | Equation of state of the stellar matter
  fich | input file (must have been created by the function `sauve`)

Definition at line 223 of file star.C.

References beta, ener, ener_euler, ent, eos, Lorene::Eos::eos_from_file(), Lorene::flat_met_spher(), Lorene::fread_be(), gam_euler, gamma, Lorene::get_bvect_spher(), Lorene::get_mg(), logn, Lorene::Map(), mp, nbar, nn, nzet, press, s_euler, set_der_0x0(), stress_euler, and u_euler.

## ~Star()

Lorene::Star::~Star | ( |  | ) |

virtual

Destructor.

Definition at line 287 of file star.C.

References del_deriv().

## Member Function Documentation

## del_deriv()

void Lorene::Star::del_deriv | ( |  | ) | const

protected virtual

Deletes all the derived quantities.

Reimplemented in Lorene::Star_bhns, Lorene::Star_bin, Lorene::Star_bin_xcts, Lorene::Star_rot, and Lorene::Star_rot_Dirac.

Definition at line 298 of file star.C.

References p_l_surf, p_mass_b, p_mass_g, p_ray_eq, p_ray_eq_3pis2, p_ray_eq_pi, p_ray_eq_pis2, p_ray_pole, p_xi_surf, and set_der_0x0().

## del_hydro_euler()

void Lorene::Star::del_hydro_euler | ( |  | ) |

protected virtual

Sets to `ETATNONDEF` (undefined state) the hydrodynamical quantities relative to the Eulerian observer.

Reimplemented in Lorene::Star_bin, Lorene::Star_bin_xcts, Lorene::Star_rot, and Lorene::Star_rot_Dirac.

Definition at line 330 of file star.C.

References del_deriv(), ener_euler, gam_euler, s_euler, stress_euler, and u_euler.

## equation_of_state()

void Lorene::Star::equation_of_state | ( |  | ) |

Computes the proper baryon and energy density, as well as pressure from the enthalpy.

Definition at line 462 of file star.C.

References Lorene::Param::add_int(), Lorene::Scalar::allocate_all(), del_deriv(), ener, ent, eos, Lorene::Mg3d::get_grille3d(), Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nr(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_nzone(), mp, nbar, nzet, press, Lorene::Mtbl::set(), Lorene::Scalar::set_domain(), Lorene::Mtbl::set_etat_qcq(), Lorene::Tbl::set_etat_qcq(), Lorene::Scalar::std_spectral_base(), Lorene::Mtbl::t, and Lorene::Grille3d::x.

## equilibrium_spher()

void Lorene::Star::equilibrium_spher | ( | double | ent_c,
|  | double | precis = 1.e-14,
|  | const Tbl * | pent_limit = 0x0 )

virtual

Computes a spherical static configuration.

Parameters

  ent_c | [input] central value of the enthalpy
  precis | [input] threshold in the relative difference between the enthalpy fields of two consecutive steps to stop the iterative procedure (default value: 1.e-14)
  ent_limit | [input] : array of enthalpy values to be set at the boundaries between the domains; if set to 0x0 (default), the initial values will be kept.

Definition at line 95 of file star_equil_spher.C.

References Lorene::Map_et::adapt(), Lorene::Param::add_double(), Lorene::Param::add_int(), Lorene::Param::add_int_mod(), Lorene::Param::add_tbl(), Lorene::diffrel(), Lorene::Map_af::dsdr(), Lorene::Scalar::dsdr(), ener, ener_euler, ent, equation_of_state(), Lorene::exp(), gam_euler, gamma, Lorene::Map_af::get_alpha(), Lorene::Map_et::get_alpha(), Lorene::Map_af::get_beta(), Lorene::Map_et::get_beta(), Lorene::Mg3d::get_nr(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_nzone(), Lorene::Map_af::homothetie(), Lorene::Scalar::integrale(), logn, mass_b(), mass_g(), mp, nn, Lorene::norme(), nzet, Lorene::Map_af::poisson(), press, s_euler, Lorene::Tensor::set(), Lorene::Map_af::set_alpha(), Lorene::Map_af::set_beta(), Lorene::Scalar::set_dzpuis(), Lorene::Cmp::set_etat_qcq(), Lorene::Tensor::set_etat_zero(), Lorene::sqrt(), Lorene::Scalar::std_spectral_base(), u_euler, and Lorene::Scalar::val_grid_point().

## get_beta()

const Vector & Lorene::Star::get_beta | ( |  | ) | const

inline

Returns the shift vector .

Definition at line 402 of file star.h.

References beta.

## get_ener()

const Scalar & Lorene::Star::get_ener | ( |  | ) | const

inline

Returns the proper total energy density.

Definition at line 370 of file star.h.

References ener.

## get_ener_euler()

const Scalar & Lorene::Star::get_ener_euler | ( |  | ) | const

inline

Returns the total energy density with respect to the Eulerian observer.

Definition at line 376 of file star.h.

References ener_euler.

## get_ent()

const Scalar & Lorene::Star::get_ent | ( |  | ) | const

inline

Returns the enthalpy field.

Definition at line 364 of file star.h.

References ent.

## get_eos()

const Eos & Lorene::Star::get_eos | ( |  | ) | const

inline

Returns the equation of state.

Definition at line 361 of file star.h.

References eos.

## get_gam_euler()

const Scalar & Lorene::Star::get_gam_euler | ( |  | ) | const

inline

Returns the Lorentz factor between the fluid and Eulerian observers.

Definition at line 382 of file star.h.

References gam_euler.

## get_gamma()

const Metric & Lorene::Star::get_gamma | ( |  | ) | const

inline

Returns the 3-metric .

Definition at line 409 of file star.h.

References gamma.

## get_lnq()

const Scalar & Lorene::Star::get_lnq | ( |  | ) | const

inline

Definition at line 406 of file star.h.

## get_logn()

const Scalar & Lorene::Star::get_logn | ( |  | ) | const

inline

Returns the logarithm of the lapse N.

In the Newtonian case, this is the Newtonian gravitational potential (in units of ).

Definition at line 396 of file star.h.

References logn.

## get_mp()

const Map & Lorene::Star::get_mp | ( |  | ) | const

inline

Returns the mapping.

Definition at line 355 of file star.h.

References Lorene::Map(), and mp.

## get_nbar()

const Scalar & Lorene::Star::get_nbar | ( |  | ) | const

inline

Returns the proper baryon density.

Definition at line 367 of file star.h.

References nbar.

## get_nn()

const Scalar & Lorene::Star::get_nn | ( |  | ) | const

inline

Returns the lapse function N.

Definition at line 399 of file star.h.

References nn.

## get_nzet()

int Lorene::Star::get_nzet | ( |  | ) | const

inline

Returns the number of domains occupied by the star.

Definition at line 358 of file star.h.

References nzet.

## get_press()

const Scalar & Lorene::Star::get_press | ( |  | ) | const

inline

Returns the fluid pressure.

Definition at line 373 of file star.h.

References press.

## get_s_euler()

const Scalar & Lorene::Star::get_s_euler | ( |  | ) | const

inline

Returns the trace of the stress tensor in the Eulerian frame.

Definition at line 379 of file star.h.

References s_euler.

## get_stress_euler()

const Tensor & Lorene::Star::get_stress_euler | ( |  | ) | const

inline

Returns the spatial part of the stress-energy tensor with respect to the Eulerian observer.

Definition at line 390 of file star.h.

References stress_euler.

## get_u_euler()

const Vector & Lorene::Star::get_u_euler | ( |  | ) | const

inline

Returns the fluid 3-velocity with respect to the Eulerian observer.

Definition at line 385 of file star.h.

References u_euler.

## hydro_euler()

void Lorene::Star::hydro_euler | ( |  | ) |

virtual

Computes the hydrodynamical quantities relative to the Eulerian observer from those in the fluid frame (`nbar`, `ener` and `press`).

Reimplemented in Lorene::Star_bin, Lorene::Star_bin_xcts, Lorene::Star_rot, Lorene::Star_rot_Dirac, and Lorene::Star_rot_Dirac_diff.

Definition at line 577 of file star.C.

## l_surf()

const Itbl & Lorene::Star::l_surf | ( |  | ) | const

virtual

Description of the stellar surface: returns a 2-D `Itbl` containing the values of the domain index l on the surface at the collocation points in .

The stellar surface is defined as the location where the enthalpy (member `ent`) vanishes.

Reimplemented in Lorene::Star_rot.

Definition at line 63 of file star_global.C.

References ent, mp, nzet, p_l_surf, and p_xi_surf.

## mass_b()

double Lorene::Star::mass_b | ( |  | ) | const

pure virtual

Baryon mass.

Implemented in Lorene::Star_bhns, Lorene::Star_bin, Lorene::Star_bin_xcts, Lorene::Star_rot, and Lorene::Star_rot_Dirac.

Definition at line 307 of file star_global.C.

References p_mass_b.

## mass_g()

double Lorene::Star::mass_g | ( |  | ) | const

pure virtual

Gravitational mass.

Implemented in Lorene::Star_bhns, Lorene::Star_bin, Lorene::Star_bin_xcts, Lorene::Star_rot, and Lorene::Star_rot_Dirac.

Definition at line 327 of file star_global.C.

References p_mass_g.

## operator=()

void Lorene::Star::operator= | ( | const Star & | et | ) |

Assignment to another `Star`.

Definition at line 351 of file star.C.

References beta, del_deriv(), ener, ener_euler, ent, eos, gam_euler, gamma, logn, mp, nbar, nn, nzet, press, s_euler, Star(), stress_euler, and u_euler.

## operator>>()

ostream & Lorene::Star::operator>> | ( | ostream & | ost | ) | const

protected virtual

Operator >> (virtual function called by the operator <<).

Reimplemented in Lorene::Gravastar, Lorene::Star_bhns, Lorene::Star_bin, Lorene::Star_bin_xcts, Lorene::Star_rot, Lorene::Star_rot_Dirac, and Lorene::Star_rot_Dirac_diff.

Definition at line 417 of file star.C.

References ener, ent, eos, mass_b(), mass_g(), nbar, nn, nzet, press, ray_eq(), ray_eq_pi(), ray_eq_pis2(), and ray_pole().

## ray_eq()

double Lorene::Star::ray_eq | ( |  | ) | const

Coordinate radius at , [r_unit].

Definition at line 108 of file star_global.C.

References Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_type_p(), Lorene::Mg3d::get_type_t(), l_surf(), mp, p_ray_eq, Lorene::phi, and xi_surf().

## ray_eq_3pis2()

double Lorene::Star::ray_eq_3pis2 | ( |  | ) | const

Coordinate radius at , [r_unit].

Definition at line 233 of file star_global.C.

References Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_type_p(), Lorene::Mg3d::get_type_t(), l_surf(), mp, p_ray_eq_3pis2, Lorene::phi, ray_eq_pis2(), and xi_surf().

## ray_eq_pi()

double Lorene::Star::ray_eq_pi | ( |  | ) | const

Coordinate radius at , [r_unit].

Definition at line 186 of file star_global.C.

References Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_type_p(), Lorene::Mg3d::get_type_t(), l_surf(), mp, p_ray_eq_pi, Lorene::phi, ray_eq(), and xi_surf().

## ray_eq_pis2()

double Lorene::Star::ray_eq_pis2 | ( |  | ) | const

Coordinate radius at , [r_unit].

Definition at line 138 of file star_global.C.

References Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_type_p(), Lorene::Mg3d::get_type_t(), l_surf(), mp, p_ray_eq_pis2, Lorene::phi, and xi_surf().

## ray_pole()

double Lorene::Star::ray_pole | ( |  | ) | const

Coordinate radius at [r_unit].

Definition at line 278 of file star_global.C.

References Lorene::Mg3d::get_type_t(), l_surf(), mp, p_ray_pole, Lorene::phi, and xi_surf().

## sauve()

void Lorene::Star::sauve | ( | FILE * | fich | ) | const

virtual

Save in a file.

Reimplemented in Lorene::Star_bhns, Lorene::Star_bin, Lorene::Star_bin_xcts, Lorene::Star_rot, Lorene::Star_rot_Dirac, and Lorene::Star_rot_Dirac_diff.

Definition at line 397 of file star.C.

References ent, eos, Lorene::fwrite_be(), logn, and nzet.

## set_der_0x0()

void Lorene::Star::set_der_0x0 | ( |  | ) | const

protected virtual

Sets to `0x0` all the pointers on derived quantities.

Reimplemented in Lorene::Star_bhns, Lorene::Star_bin, Lorene::Star_bin_xcts, Lorene::Star_rot, and Lorene::Star_rot_Dirac.

Definition at line 316 of file star.C.

References p_l_surf, p_mass_b, p_mass_g, p_ray_eq, p_ray_eq_3pis2, p_ray_eq_pi, p_ray_eq_pis2, p_ray_pole, and p_xi_surf.

## set_enthalpy()

void Lorene::Star::set_enthalpy | ( | const Scalar & | ent_i | ) |

Assignment of the enthalpy field.

Definition at line 379 of file star.C.

References del_deriv(), ent, and equation_of_state().

## set_mp()

Map & Lorene::Star::set_mp | ( |  | ) |

inline

Read/write of the mapping.

Definition at line 322 of file star.h.

References Lorene::Map(), and mp.

## xi_surf()

const Tbl & Lorene::Star::xi_surf | ( |  | ) | const

Description of the stellar surface: returns a 2-D `Tbl` containing the values of the radial coordinate on the surface at the collocation points in .

The stellar surface is defined as the location where the enthalpy (member `ent`) vanishes.

Definition at line 89 of file star_global.C.

References l_surf(), p_l_surf, and p_xi_surf.

## Friends And Related Symbol Documentation

## operator<<

ostream & operator<< | ( | ostream & | ost,
|  | const Star & | et )

friend

Display.

Definition at line 412 of file star.C.

References operator<<, and Star().

## Member Data Documentation

## beta

Vector Lorene::Star::beta

protected

Shift vector.

Definition at line 228 of file star.h.

## ener

Scalar Lorene::Star::ener

protected

Total energy density in the fluid frame.

Definition at line 193 of file star.h.

## ener_euler

Scalar Lorene::Star::ener_euler

protected

Total energy density in the Eulerian frame.

Definition at line 198 of file star.h.

## ent

Scalar Lorene::Star::ent

protected

Log-enthalpy.

Definition at line 190 of file star.h.

## eos

const Eos& Lorene::Star::eos

protected

Equation of state of the stellar matter.

Definition at line 185 of file star.h.

## gam_euler

Scalar Lorene::Star::gam_euler

protected

Lorentz factor between the fluid and Eulerian observers.

Definition at line 204 of file star.h.

## gamma

Metric Lorene::Star::gamma

protected

3-metric

Definition at line 235 of file star.h.

## lnq

Scalar Lorene::Star::lnq

protected

Definition at line 232 of file star.h.

## logn

Scalar Lorene::Star::logn

protected

Logarithm of the lapse N .

In the Newtonian case, this is the Newtonian gravitational potential (in units of ).

Definition at line 222 of file star.h.

## mp

Map& Lorene::Star::mp

protected

Mapping associated with the star.

Definition at line 180 of file star.h.

## nbar

Scalar Lorene::Star::nbar

protected

Baryon density in the fluid frame.

Definition at line 192 of file star.h.

## nn

Scalar Lorene::Star::nn

protected

Lapse function N .

Definition at line 225 of file star.h.

## nzet

int Lorene::Star::nzet

protected

Number of domains of `*mp` occupied by the star.

Definition at line 183 of file star.h.

## p_l_surf

Itbl* Lorene::Star::p_l_surf

mutable protected

Description of the stellar surface: 2-D `Itbl` containing the values of the domain index l on the surface at the collocation points in .

Definition at line 260 of file star.h.

## p_mass_b

double* Lorene::Star::p_mass_b

mutable protected

Baryon mass.

Definition at line 268 of file star.h.

## p_mass_g

double* Lorene::Star::p_mass_g

mutable protected

Gravitational mass.

Definition at line 269 of file star.h.

## p_ray_eq

double* Lorene::Star::p_ray_eq

mutable protected

Coordinate radius at , .

Definition at line 242 of file star.h.

## p_ray_eq_3pis2

double* Lorene::Star::p_ray_eq_3pis2

mutable protected

Coordinate radius at , .

Definition at line 251 of file star.h.

## p_ray_eq_pi

double* Lorene::Star::p_ray_eq_pi

mutable protected

Coordinate radius at , .

Definition at line 248 of file star.h.

## p_ray_eq_pis2

double* Lorene::Star::p_ray_eq_pis2

mutable protected

Coordinate radius at , .

Definition at line 245 of file star.h.

## p_ray_pole

double* Lorene::Star::p_ray_pole

mutable protected

Coordinate radius at .

Definition at line 254 of file star.h.

## p_xi_surf

Tbl* Lorene::Star::p_xi_surf

mutable protected

Description of the stellar surface: 2-D `Tbl` containing the values of the radial coordinate on the surface at the collocation points in .

Definition at line 266 of file star.h.

## press

Scalar Lorene::Star::press

protected

Fluid pressure.

Definition at line 194 of file star.h.

## s_euler

Scalar Lorene::Star::s_euler

protected

Trace of the stress scalar in the Eulerian frame.

Definition at line 201 of file star.h.

## stress_euler

Sym_tensor Lorene::Star::stress_euler

protected

Spatial part of the stress-energy tensor with respect to the Eulerian observer.

Definition at line 212 of file star.h.

## u_euler

Vector Lorene::Star::u_euler

protected

Fluid 3-velocity with respect to the Eulerian observer.

Definition at line 207 of file star.h.

The documentation for this class was generated from the following files:

- star.h
- star.C
- star_equil_spher.C
- star_global.C